> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get compliance check



## OpenAPI

````yaml /openapi.json get /compliance/checks/{checkId}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /compliance/checks/{checkId}:
    get:
      tags:
        - compliance
      summary: Get compliance check
      operationId: ComplianceController_getCheck
      parameters:
        - name: checkId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetComplianceCheckOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CheckNotFoundErrorDto'
              examples:
                CHECK_NOT_FOUND:
                  $ref: '#/components/schemas/CheckNotFoundErrorDto'
          description: ''
components:
  schemas:
    GetComplianceCheckOutput:
      type: object
      properties:
        type:
          type: string
        id:
          type: string
        createdAt:
          format: date-time
          type: string
        entityId:
          type: string
        target:
          type: string
        provider:
          type: string
        searchKey:
          type: string
        alertIds:
          description: Array of alert IDs associated with this check
          type: array
          items:
            type: string
      required:
        - type
        - id
        - createdAt
        - entityId
        - target
        - provider
        - searchKey
    CheckNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CHECK_NOT_FOUND
        message:
          type: string
          example: Check not found {checkId} for tenant {tenantId}
        details:
          $ref: '#/components/schemas/CheckNotFoundDto'
      required:
        - code
        - message
        - details
    CheckNotFoundDto:
      type: object
      properties:
        checkId:
          type: string
        tenantId:
          type: string
        alertId:
          type: string
      required:
        - checkId
        - tenantId

````